from math import sqrt

def radici(a, b, c):
	"""Dati a, b e c, la funzione restituisce una tupla contenente le radici dell'equazione
           di secondo grado associata.
	"""

	# calcolo delta:
	delta = b ** 2 - 4 * a * c

	if delta == 0:
		# radici coincidenti:
		return (-b / (2 * a), -b / (2 * a))

	elif delta > 0:
		# radici reali distinte:
		return ( (-b + sqrt(delta)) / (2 * a), (-b - sqrt(delta)) / (2 * a))

	else:
		# radici complesse coniugate:
		re = -b / (2 * a)
		im = sqrt(-delta) / (2 * a)
		#
		# Python contempla i numeri complessi (complex) tra i tipi numerici, 
		# accanto a int, float, long
		# la funzione complex accetta in ingresso la parte reale e quella immaginaria.
		# Restituisce il numero complesso associato alla parte reale e immaginaria.
		#
		return (complex(re, im), complex(re, -im))
	
		
